Revert "Imported Upstream version 7.44.0"
[platform/upstream/curl.git] / docs / libcurl / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #***************************************************************************
18 #                                  _   _ ____  _
19 #  Project                     ___| | | |  _ \| |
20 #                             / __| | | | |_) | |
21 #                            | (__| |_| |  _ <| |___
22 #                             \___|\___/|_| \_\_____|
23 #
24 # Copyright (C) 1998 - 2014, Daniel Stenberg, <daniel@haxx.se>, et al.
25 #
26 # This software is licensed as described in the file COPYING, which
27 # you should have received as part of this distribution. The terms
28 # are also available at http://curl.haxx.se/docs/copyright.html.
29 #
30 # You may opt to use, copy, modify, merge, publish, distribute and/or sell
31 # copies of the Software, and permit persons to whom the Software is
32 # furnished to do so, under the terms of the COPYING file.
33 #
34 # This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
35 # KIND, either express or implied.
36 #
37 ###########################################################################
38
39 VPATH = @srcdir@
40 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
41 am__make_running_with_option = \
42   case $${target_option-} in \
43       ?) ;; \
44       *) echo "am__make_running_with_option: internal error: invalid" \
45               "target option '$${target_option-}' specified" >&2; \
46          exit 1;; \
47   esac; \
48   has_opt=no; \
49   sane_makeflags=$$MAKEFLAGS; \
50   if $(am__is_gnu_make); then \
51     sane_makeflags=$$MFLAGS; \
52   else \
53     case $$MAKEFLAGS in \
54       *\\[\ \   ]*) \
55         bs=\\; \
56         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
57           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
58     esac; \
59   fi; \
60   skip_next=no; \
61   strip_trailopt () \
62   { \
63     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
64   }; \
65   for flg in $$sane_makeflags; do \
66     test $$skip_next = yes && { skip_next=no; continue; }; \
67     case $$flg in \
68       *=*|--*) continue;; \
69         -*I) strip_trailopt 'I'; skip_next=yes;; \
70       -*I?*) strip_trailopt 'I';; \
71         -*O) strip_trailopt 'O'; skip_next=yes;; \
72       -*O?*) strip_trailopt 'O';; \
73         -*l) strip_trailopt 'l'; skip_next=yes;; \
74       -*l?*) strip_trailopt 'l';; \
75       -[dEDm]) skip_next=yes;; \
76       -[JT]) skip_next=yes;; \
77     esac; \
78     case $$flg in \
79       *$$target_option*) has_opt=yes; break;; \
80     esac; \
81   done; \
82   test $$has_opt = yes
83 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
84 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
85 pkgdatadir = $(datadir)/@PACKAGE@
86 pkgincludedir = $(includedir)/@PACKAGE@
87 pkglibdir = $(libdir)/@PACKAGE@
88 pkglibexecdir = $(libexecdir)/@PACKAGE@
89 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
90 install_sh_DATA = $(install_sh) -c -m 644
91 install_sh_PROGRAM = $(install_sh) -c
92 install_sh_SCRIPT = $(install_sh) -c
93 INSTALL_HEADER = $(INSTALL_DATA)
94 transform = $(program_transform_name)
95 NORMAL_INSTALL = :
96 PRE_INSTALL = :
97 POST_INSTALL = :
98 NORMAL_UNINSTALL = :
99 PRE_UNINSTALL = :
100 POST_UNINSTALL = :
101 build_triplet = @build@
102 host_triplet = @host@
103 subdir = docs/libcurl
104 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
105         $(top_srcdir)/mkinstalldirs $(dist_m4macro_DATA)
106 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
107 am__aclocal_m4_deps = $(top_srcdir)/m4/curl-compilers.m4 \
108         $(top_srcdir)/m4/curl-confopts.m4 \
109         $(top_srcdir)/m4/curl-functions.m4 \
110         $(top_srcdir)/m4/curl-openssl.m4 \
111         $(top_srcdir)/m4/curl-override.m4 \
112         $(top_srcdir)/m4/curl-reentrant.m4 $(top_srcdir)/m4/libtool.m4 \
113         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
114         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
115         $(top_srcdir)/m4/xc-am-iface.m4 \
116         $(top_srcdir)/m4/xc-cc-check.m4 \
117         $(top_srcdir)/m4/xc-lt-iface.m4 \
118         $(top_srcdir)/m4/xc-translit.m4 \
119         $(top_srcdir)/m4/xc-val-flgs.m4 \
120         $(top_srcdir)/m4/zz40-xc-ovr.m4 \
121         $(top_srcdir)/m4/zz50-xc-ovr.m4 \
122         $(top_srcdir)/m4/zz60-xc-ovr.m4 $(top_srcdir)/acinclude.m4 \
123         $(top_srcdir)/configure.ac
124 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
125         $(ACLOCAL_M4)
126 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
127 CONFIG_HEADER = $(top_builddir)/lib/curl_config.h \
128         $(top_builddir)/include/curl/curlbuild.h
129 CONFIG_CLEAN_FILES =
130 CONFIG_CLEAN_VPATH_FILES =
131 AM_V_P = $(am__v_P_@AM_V@)
132 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
133 am__v_P_0 = false
134 am__v_P_1 = :
135 AM_V_GEN = $(am__v_GEN_@AM_V@)
136 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
137 am__v_GEN_0 = @echo "  GEN     " $@;
138 am__v_GEN_1 = 
139 AM_V_at = $(am__v_at_@AM_V@)
140 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
141 am__v_at_0 = @
142 am__v_at_1 = 
143 depcomp =
144 am__depfiles_maybe =
145 SOURCES =
146 DIST_SOURCES =
147 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
148         ctags-recursive dvi-recursive html-recursive info-recursive \
149         install-data-recursive install-dvi-recursive \
150         install-exec-recursive install-html-recursive \
151         install-info-recursive install-pdf-recursive \
152         install-ps-recursive install-recursive installcheck-recursive \
153         installdirs-recursive pdf-recursive ps-recursive \
154         tags-recursive uninstall-recursive
155 am__can_run_installinfo = \
156   case $$AM_UPDATE_INFO_DIR in \
157     n|no|NO) false;; \
158     *) (install-info --version) >/dev/null 2>&1;; \
159   esac
160 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
161 am__vpath_adj = case $$p in \
162     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
163     *) f=$$p;; \
164   esac;
165 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
166 am__install_max = 40
167 am__nobase_strip_setup = \
168   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
169 am__nobase_strip = \
170   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
171 am__nobase_list = $(am__nobase_strip_setup); \
172   for p in $$list; do echo "$$p $$p"; done | \
173   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
174   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
175     if (++n[$$2] == $(am__install_max)) \
176       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
177     END { for (dir in files) print dir, files[dir] }'
178 am__base_list = \
179   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
180   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
181 am__uninstall_files_from_dir = { \
182   test -z "$$files" \
183     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
184     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
185          $(am__cd) "$$dir" && rm -f $$files; }; \
186   }
187 man3dir = $(mandir)/man3
188 am__installdirs = "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(m4macrodir)"
189 MANS = $(man_MANS)
190 DATA = $(dist_m4macro_DATA)
191 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
192   distclean-recursive maintainer-clean-recursive
193 am__recursive_targets = \
194   $(RECURSIVE_TARGETS) \
195   $(RECURSIVE_CLEAN_TARGETS) \
196   $(am__extra_recursive_targets)
197 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
198         distdir
199 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
200 # Read a list of newline-separated strings from the standard input,
201 # and print each of them once, without duplicates.  Input order is
202 # *not* preserved.
203 am__uniquify_input = $(AWK) '\
204   BEGIN { nonempty = 0; } \
205   { items[$$0] = 1; nonempty = 1; } \
206   END { if (nonempty) { for (i in items) print i; }; } \
207 '
208 # Make sure the list of sources is unique.  This is necessary because,
209 # e.g., the same source file might be shared among _SOURCES variables
210 # for different programs/libraries.
211 am__define_uniq_tagged_files = \
212   list='$(am__tagged_files)'; \
213   unique=`for i in $$list; do \
214     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
215   done | $(am__uniquify_input)`
216 ETAGS = etags
217 CTAGS = ctags
218 DIST_SUBDIRS = $(SUBDIRS)
219 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
220 am__relativize = \
221   dir0=`pwd`; \
222   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
223   sed_rest='s,^[^/]*/*,,'; \
224   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
225   sed_butlast='s,/*[^/]*$$,,'; \
226   while test -n "$$dir1"; do \
227     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
228     if test "$$first" != "."; then \
229       if test "$$first" = ".."; then \
230         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
231         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
232       else \
233         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
234         if test "$$first2" = "$$first"; then \
235           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
236         else \
237           dir2="../$$dir2"; \
238         fi; \
239         dir0="$$dir0"/"$$first"; \
240       fi; \
241     fi; \
242     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
243   done; \
244   reldir="$$dir2"
245 ACLOCAL = @ACLOCAL@
246 AMTAR = @AMTAR@
247 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
248 AR = @AR@
249 AS = @AS@
250 AUTOCONF = @AUTOCONF@
251 AUTOHEADER = @AUTOHEADER@
252 AUTOMAKE = @AUTOMAKE@
253 AWK = @AWK@
254 BLANK_AT_MAKETIME = @BLANK_AT_MAKETIME@
255 CC = @CC@
256 CCDEPMODE = @CCDEPMODE@
257 CFLAGS = @CFLAGS@
258 CFLAG_CURL_SYMBOL_HIDING = @CFLAG_CURL_SYMBOL_HIDING@
259 CONFIGURE_OPTIONS = @CONFIGURE_OPTIONS@
260 CPP = @CPP@
261 CPPFLAGS = @CPPFLAGS@
262 CPPFLAG_CURL_STATICLIB = @CPPFLAG_CURL_STATICLIB@
263 CURLVERSION = @CURLVERSION@
264 CURL_CA_BUNDLE = @CURL_CA_BUNDLE@
265 CURL_CFLAG_EXTRAS = @CURL_CFLAG_EXTRAS@
266 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
267 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
268 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
269 CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
270 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
271 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
272 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@
273 CURL_DISABLE_LDAPS = @CURL_DISABLE_LDAPS@
274 CURL_DISABLE_POP3 = @CURL_DISABLE_POP3@
275 CURL_DISABLE_PROXY = @CURL_DISABLE_PROXY@
276 CURL_DISABLE_RTSP = @CURL_DISABLE_RTSP@
277 CURL_DISABLE_SMB = @CURL_DISABLE_SMB@
278 CURL_DISABLE_SMTP = @CURL_DISABLE_SMTP@
279 CURL_DISABLE_TELNET = @CURL_DISABLE_TELNET@
280 CURL_DISABLE_TFTP = @CURL_DISABLE_TFTP@
281 CURL_LT_SHLIB_VERSIONED_FLAVOUR = @CURL_LT_SHLIB_VERSIONED_FLAVOUR@
282 CURL_NETWORK_AND_TIME_LIBS = @CURL_NETWORK_AND_TIME_LIBS@
283 CURL_NETWORK_LIBS = @CURL_NETWORK_LIBS@
284 CYGPATH_W = @CYGPATH_W@
285 DEFS = @DEFS@
286 DEPDIR = @DEPDIR@
287 DLLTOOL = @DLLTOOL@
288 DSYMUTIL = @DSYMUTIL@
289 DUMPBIN = @DUMPBIN@
290 ECHO_C = @ECHO_C@
291 ECHO_N = @ECHO_N@
292 ECHO_T = @ECHO_T@
293 EGREP = @EGREP@
294 ENABLE_SHARED = @ENABLE_SHARED@
295 ENABLE_STATIC = @ENABLE_STATIC@
296 EXEEXT = @EXEEXT@
297 FGREP = @FGREP@
298 GREP = @GREP@
299 HAVE_GNUTLS_SRP = @HAVE_GNUTLS_SRP@
300 HAVE_LDAP_SSL = @HAVE_LDAP_SSL@
301 HAVE_LIBZ = @HAVE_LIBZ@
302 HAVE_SSLEAY_SRP = @HAVE_SSLEAY_SRP@
303 IDN_ENABLED = @IDN_ENABLED@
304 INSTALL = @INSTALL@
305 INSTALL_DATA = @INSTALL_DATA@
306 INSTALL_PROGRAM = @INSTALL_PROGRAM@
307 INSTALL_SCRIPT = @INSTALL_SCRIPT@
308 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
309 IPV6_ENABLED = @IPV6_ENABLED@
310 LD = @LD@
311 LDFLAGS = @LDFLAGS@
312 LIBCURL_LIBS = @LIBCURL_LIBS@
313 LIBMETALINK_CPPFLAGS = @LIBMETALINK_CPPFLAGS@
314 LIBMETALINK_LDFLAGS = @LIBMETALINK_LDFLAGS@
315 LIBMETALINK_LIBS = @LIBMETALINK_LIBS@
316 LIBOBJS = @LIBOBJS@
317 LIBS = @LIBS@
318 LIBTOOL = @LIBTOOL@
319 LIPO = @LIPO@
320 LN_S = @LN_S@
321 LTLIBOBJS = @LTLIBOBJS@
322 MAINT = @MAINT@
323 MAKEINFO = @MAKEINFO@
324 MANIFEST_TOOL = @MANIFEST_TOOL@
325 MANOPT = @MANOPT@
326 MKDIR_P = @MKDIR_P@
327 NM = @NM@
328 NMEDIT = @NMEDIT@
329 NROFF = @NROFF@
330 NSS_LIBS = @NSS_LIBS@
331 OBJDUMP = @OBJDUMP@
332 OBJEXT = @OBJEXT@
333 OTOOL = @OTOOL@
334 OTOOL64 = @OTOOL64@
335 PACKAGE = @PACKAGE@
336 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
337 PACKAGE_NAME = @PACKAGE_NAME@
338 PACKAGE_STRING = @PACKAGE_STRING@
339 PACKAGE_TARNAME = @PACKAGE_TARNAME@
340 PACKAGE_URL = @PACKAGE_URL@
341 PACKAGE_VERSION = @PACKAGE_VERSION@
342 PATH_SEPARATOR = @PATH_SEPARATOR@
343 PERL = @PERL@
344 PKGADD_NAME = @PKGADD_NAME@
345 PKGADD_PKG = @PKGADD_PKG@
346 PKGADD_VENDOR = @PKGADD_VENDOR@
347 PKGCONFIG = @PKGCONFIG@
348 RANDOM_FILE = @RANDOM_FILE@
349 RANLIB = @RANLIB@
350 REQUIRE_LIB_DEPS = @REQUIRE_LIB_DEPS@
351 SED = @SED@
352 SET_MAKE = @SET_MAKE@
353 SHELL = @SHELL@
354 SSL_ENABLED = @SSL_ENABLED@
355 STRIP = @STRIP@
356 SUPPORT_FEATURES = @SUPPORT_FEATURES@
357 SUPPORT_PROTOCOLS = @SUPPORT_PROTOCOLS@
358 USE_ARES = @USE_ARES@
359 USE_AXTLS = @USE_AXTLS@
360 USE_CYASSL = @USE_CYASSL@
361 USE_DARWINSSL = @USE_DARWINSSL@
362 USE_GNUTLS = @USE_GNUTLS@
363 USE_GNUTLS_NETTLE = @USE_GNUTLS_NETTLE@
364 USE_LIBRTMP = @USE_LIBRTMP@
365 USE_LIBSSH2 = @USE_LIBSSH2@
366 USE_NGHTTP2 = @USE_NGHTTP2@
367 USE_NSS = @USE_NSS@
368 USE_OPENLDAP = @USE_OPENLDAP@
369 USE_POLARSSL = @USE_POLARSSL@
370 USE_SCHANNEL = @USE_SCHANNEL@
371 USE_SSLEAY = @USE_SSLEAY@
372 USE_UNIX_SOCKETS = @USE_UNIX_SOCKETS@
373 USE_WINDOWS_SSPI = @USE_WINDOWS_SSPI@
374 VERSION = @VERSION@
375 VERSIONNUM = @VERSIONNUM@
376 ZLIB_LIBS = @ZLIB_LIBS@
377 abs_builddir = @abs_builddir@
378 abs_srcdir = @abs_srcdir@
379 abs_top_builddir = @abs_top_builddir@
380 abs_top_srcdir = @abs_top_srcdir@
381 ac_ct_AR = @ac_ct_AR@
382 ac_ct_CC = @ac_ct_CC@
383 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
384 am__include = @am__include@
385 am__leading_dot = @am__leading_dot@
386 am__quote = @am__quote@
387 am__tar = @am__tar@
388 am__untar = @am__untar@
389 bindir = @bindir@
390 build = @build@
391 build_alias = @build_alias@
392 build_cpu = @build_cpu@
393 build_os = @build_os@
394 build_vendor = @build_vendor@
395 builddir = @builddir@
396 datadir = @datadir@
397 datarootdir = @datarootdir@
398 docdir = @docdir@
399 dvidir = @dvidir@
400 exec_prefix = @exec_prefix@
401 host = @host@
402 host_alias = @host_alias@
403 host_cpu = @host_cpu@
404 host_os = @host_os@
405 host_vendor = @host_vendor@
406 htmldir = @htmldir@
407 includedir = @includedir@
408 infodir = @infodir@
409 install_sh = @install_sh@
410 libdir = @libdir@
411 libexecdir = @libexecdir@
412 libext = @libext@
413 localedir = @localedir@
414 localstatedir = @localstatedir@
415 mandir = @mandir@
416 mkdir_p = @mkdir_p@
417 oldincludedir = @oldincludedir@
418 pdfdir = @pdfdir@
419 prefix = @prefix@
420 program_transform_name = @program_transform_name@
421 psdir = @psdir@
422 sbindir = @sbindir@
423 sharedstatedir = @sharedstatedir@
424 srcdir = @srcdir@
425 subdirs = @subdirs@
426 sysconfdir = @sysconfdir@
427 target_alias = @target_alias@
428 top_build_prefix = @top_build_prefix@
429 top_builddir = @top_builddir@
430 top_srcdir = @top_srcdir@
431 AUTOMAKE_OPTIONS = foreign no-dependencies
432 SUBDIRS = opts
433 man_MANS = curl_easy_cleanup.3 curl_easy_getinfo.3 curl_easy_init.3      \
434  curl_easy_perform.3 curl_easy_setopt.3 curl_easy_duphandle.3            \
435  curl_formadd.3 curl_formfree.3 curl_getdate.3 curl_getenv.3             \
436  curl_slist_append.3 curl_slist_free_all.3 curl_version.3                \
437  curl_version_info.3 curl_escape.3 curl_unescape.3 curl_free.3           \
438  curl_strequal.3 curl_mprintf.3 curl_global_init.3 curl_global_cleanup.3 \
439  curl_multi_add_handle.3 curl_multi_cleanup.3 curl_multi_fdset.3         \
440  curl_multi_info_read.3 curl_multi_init.3 curl_multi_perform.3           \
441  curl_multi_remove_handle.3 curl_share_cleanup.3 curl_share_init.3       \
442  curl_share_setopt.3 libcurl.3 libcurl-easy.3 libcurl-multi.3            \
443  libcurl-share.3 libcurl-errors.3 curl_easy_strerror.3                   \
444  curl_multi_strerror.3 curl_share_strerror.3 curl_global_init_mem.3      \
445  libcurl-tutorial.3 curl_easy_reset.3 curl_easy_escape.3                 \
446  curl_easy_unescape.3 curl_multi_setopt.3 curl_multi_socket.3            \
447  curl_multi_timeout.3 curl_formget.3 curl_multi_assign.3                 \
448  curl_easy_pause.3 curl_easy_recv.3 curl_easy_send.3                     \
449  curl_multi_socket_action.3 curl_multi_wait.3
450
451 HTMLPAGES = curl_easy_cleanup.html curl_easy_getinfo.html               \
452  curl_easy_init.html curl_easy_perform.html curl_easy_setopt.html       \
453  curl_easy_duphandle.html curl_formadd.html curl_formfree.html          \
454  curl_getdate.html curl_getenv.html curl_slist_append.html              \
455  curl_slist_free_all.html curl_version.html curl_version_info.html      \
456  curl_escape.html curl_unescape.html curl_free.html curl_strequal.html  \
457  curl_mprintf.html curl_global_init.html curl_global_cleanup.html       \
458  curl_multi_add_handle.html curl_multi_cleanup.html                     \
459  curl_multi_fdset.html curl_multi_info_read.html curl_multi_init.html   \
460  curl_multi_perform.html curl_multi_remove_handle.html                  \
461  curl_share_cleanup.html curl_share_init.html curl_share_setopt.html    \
462  libcurl.html libcurl-multi.html libcurl-easy.html libcurl-share.html   \
463  libcurl-errors.html curl_easy_strerror.html curl_multi_strerror.html   \
464  curl_share_strerror.html curl_global_init_mem.html                     \
465  libcurl-tutorial.html curl_easy_reset.html curl_easy_escape.html       \
466  curl_easy_unescape.html curl_multi_setopt.html curl_multi_socket.html  \
467  curl_multi_timeout.html curl_formget.html curl_multi_assign.html       \
468  curl_easy_pause.html curl_easy_recv.html curl_easy_send.html           \
469  curl_multi_socket_action.html curl_multi_wait.html
470
471 PDFPAGES = curl_easy_cleanup.pdf curl_easy_getinfo.pdf                   \
472  curl_easy_init.pdf curl_easy_perform.pdf curl_easy_setopt.pdf           \
473  curl_easy_duphandle.pdf curl_formadd.pdf curl_formfree.pdf              \
474  curl_getdate.pdf curl_getenv.pdf curl_slist_append.pdf                  \
475  curl_slist_free_all.pdf curl_version.pdf curl_version_info.pdf          \
476  curl_escape.pdf curl_unescape.pdf curl_free.pdf curl_strequal.pdf       \
477  curl_mprintf.pdf curl_global_init.pdf curl_global_cleanup.pdf           \
478  curl_multi_add_handle.pdf curl_multi_cleanup.pdf curl_multi_fdset.pdf   \
479  curl_multi_info_read.pdf curl_multi_init.pdf curl_multi_perform.pdf     \
480  curl_multi_remove_handle.pdf curl_share_cleanup.pdf curl_share_init.pdf \
481  curl_share_setopt.pdf libcurl.pdf libcurl-multi.pdf libcurl-easy.pdf    \
482  libcurl-share.pdf libcurl-errors.pdf curl_easy_strerror.pdf             \
483  curl_multi_strerror.pdf curl_share_strerror.pdf                         \
484  curl_global_init_mem.pdf libcurl-tutorial.pdf curl_easy_reset.pdf       \
485  curl_easy_escape.pdf curl_easy_unescape.pdf curl_multi_setopt.pdf       \
486  curl_multi_socket.pdf curl_multi_timeout.pdf curl_formget.pdf           \
487  curl_multi_assign.pdf curl_easy_pause.pdf curl_easy_recv.pdf            \
488  curl_easy_send.pdf curl_multi_socket_action.pdf curl_multi_wait.pdf
489
490 m4macrodir = $(datadir)/aclocal
491 dist_m4macro_DATA = libcurl.m4
492 CLEANFILES = $(HTMLPAGES) $(PDFPAGES)
493 EXTRA_DIST = $(man_MANS) $(HTMLPAGES) index.html $(PDFPAGES) ABI \
494   symbols-in-versions symbols.pl
495
496 MAN2HTML = roffit --mandir=. < $< >$@
497 SUFFIXES = .3 .html
498 all: all-recursive
499
500 .SUFFIXES:
501 .SUFFIXES: .3 .html .pdf
502 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
503         @for dep in $?; do \
504           case '$(am__configure_deps)' in \
505             *$$dep*) \
506               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
507                 && { if test -f $@; then exit 0; else break; fi; }; \
508               exit 1;; \
509           esac; \
510         done; \
511         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign docs/libcurl/Makefile'; \
512         $(am__cd) $(top_srcdir) && \
513           $(AUTOMAKE) --foreign docs/libcurl/Makefile
514 .PRECIOUS: Makefile
515 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
516         @case '$?' in \
517           *config.status*) \
518             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
519           *) \
520             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
521             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
522         esac;
523
524 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
525         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
526
527 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
528         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
529 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
530         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
531 $(am__aclocal_m4_deps):
532
533 mostlyclean-libtool:
534         -rm -f *.lo
535
536 clean-libtool:
537         -rm -rf .libs _libs
538 install-man3: $(man_MANS)
539         @$(NORMAL_INSTALL)
540         @list1=''; \
541         list2='$(man_MANS)'; \
542         test -n "$(man3dir)" \
543           && test -n "`echo $$list1$$list2`" \
544           || exit 0; \
545         echo " $(MKDIR_P) '$(DESTDIR)$(man3dir)'"; \
546         $(MKDIR_P) "$(DESTDIR)$(man3dir)" || exit 1; \
547         { for i in $$list1; do echo "$$i"; done;  \
548         if test -n "$$list2"; then \
549           for i in $$list2; do echo "$$i"; done \
550             | sed -n '/\.3[a-z]*$$/p'; \
551         fi; \
552         } | while read p; do \
553           if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
554           echo "$$d$$p"; echo "$$p"; \
555         done | \
556         sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
557               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
558         sed 'N;N;s,\n, ,g' | { \
559         list=; while read file base inst; do \
560           if test "$$base" = "$$inst"; then list="$$list $$file"; else \
561             echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \
562             $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst" || exit $$?; \
563           fi; \
564         done; \
565         for i in $$list; do echo "$$i"; done | $(am__base_list) | \
566         while read files; do \
567           test -z "$$files" || { \
568             echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man3dir)'"; \
569             $(INSTALL_DATA) $$files "$(DESTDIR)$(man3dir)" || exit $$?; }; \
570         done; }
571
572 uninstall-man3:
573         @$(NORMAL_UNINSTALL)
574         @list=''; test -n "$(man3dir)" || exit 0; \
575         files=`{ for i in $$list; do echo "$$i"; done; \
576         l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
577           sed -n '/\.3[a-z]*$$/p'; \
578         } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
579               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
580         dir='$(DESTDIR)$(man3dir)'; $(am__uninstall_files_from_dir)
581 install-dist_m4macroDATA: $(dist_m4macro_DATA)
582         @$(NORMAL_INSTALL)
583         @list='$(dist_m4macro_DATA)'; test -n "$(m4macrodir)" || list=; \
584         if test -n "$$list"; then \
585           echo " $(MKDIR_P) '$(DESTDIR)$(m4macrodir)'"; \
586           $(MKDIR_P) "$(DESTDIR)$(m4macrodir)" || exit 1; \
587         fi; \
588         for p in $$list; do \
589           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
590           echo "$$d$$p"; \
591         done | $(am__base_list) | \
592         while read files; do \
593           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(m4macrodir)'"; \
594           $(INSTALL_DATA) $$files "$(DESTDIR)$(m4macrodir)" || exit $$?; \
595         done
596
597 uninstall-dist_m4macroDATA:
598         @$(NORMAL_UNINSTALL)
599         @list='$(dist_m4macro_DATA)'; test -n "$(m4macrodir)" || list=; \
600         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
601         dir='$(DESTDIR)$(m4macrodir)'; $(am__uninstall_files_from_dir)
602
603 # This directory's subdirectories are mostly independent; you can cd
604 # into them and run 'make' without going through this Makefile.
605 # To change the values of 'make' variables: instead of editing Makefiles,
606 # (1) if the variable is set in 'config.status', edit 'config.status'
607 #     (which will cause the Makefiles to be regenerated when you run 'make');
608 # (2) otherwise, pass the desired values on the 'make' command line.
609 $(am__recursive_targets):
610         @fail=; \
611         if $(am__make_keepgoing); then \
612           failcom='fail=yes'; \
613         else \
614           failcom='exit 1'; \
615         fi; \
616         dot_seen=no; \
617         target=`echo $@ | sed s/-recursive//`; \
618         case "$@" in \
619           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
620           *) list='$(SUBDIRS)' ;; \
621         esac; \
622         for subdir in $$list; do \
623           echo "Making $$target in $$subdir"; \
624           if test "$$subdir" = "."; then \
625             dot_seen=yes; \
626             local_target="$$target-am"; \
627           else \
628             local_target="$$target"; \
629           fi; \
630           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
631           || eval $$failcom; \
632         done; \
633         if test "$$dot_seen" = "no"; then \
634           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
635         fi; test -z "$$fail"
636
637 ID: $(am__tagged_files)
638         $(am__define_uniq_tagged_files); mkid -fID $$unique
639 tags: tags-recursive
640 TAGS: tags
641
642 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
643         set x; \
644         here=`pwd`; \
645         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
646           include_option=--etags-include; \
647           empty_fix=.; \
648         else \
649           include_option=--include; \
650           empty_fix=; \
651         fi; \
652         list='$(SUBDIRS)'; for subdir in $$list; do \
653           if test "$$subdir" = .; then :; else \
654             test ! -f $$subdir/TAGS || \
655               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
656           fi; \
657         done; \
658         $(am__define_uniq_tagged_files); \
659         shift; \
660         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
661           test -n "$$unique" || unique=$$empty_fix; \
662           if test $$# -gt 0; then \
663             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
664               "$$@" $$unique; \
665           else \
666             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
667               $$unique; \
668           fi; \
669         fi
670 ctags: ctags-recursive
671
672 CTAGS: ctags
673 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
674         $(am__define_uniq_tagged_files); \
675         test -z "$(CTAGS_ARGS)$$unique" \
676           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
677              $$unique
678
679 GTAGS:
680         here=`$(am__cd) $(top_builddir) && pwd` \
681           && $(am__cd) $(top_srcdir) \
682           && gtags -i $(GTAGS_ARGS) "$$here"
683 cscopelist: cscopelist-recursive
684
685 cscopelist-am: $(am__tagged_files)
686         list='$(am__tagged_files)'; \
687         case "$(srcdir)" in \
688           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
689           *) sdir=$(subdir)/$(srcdir) ;; \
690         esac; \
691         for i in $$list; do \
692           if test -f "$$i"; then \
693             echo "$(subdir)/$$i"; \
694           else \
695             echo "$$sdir/$$i"; \
696           fi; \
697         done >> $(top_builddir)/cscope.files
698
699 distclean-tags:
700         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
701
702 distdir: $(DISTFILES)
703         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
704         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
705         list='$(DISTFILES)'; \
706           dist_files=`for file in $$list; do echo $$file; done | \
707           sed -e "s|^$$srcdirstrip/||;t" \
708               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
709         case $$dist_files in \
710           */*) $(MKDIR_P) `echo "$$dist_files" | \
711                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
712                            sort -u` ;; \
713         esac; \
714         for file in $$dist_files; do \
715           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
716           if test -d $$d/$$file; then \
717             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
718             if test -d "$(distdir)/$$file"; then \
719               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
720             fi; \
721             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
722               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
723               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
724             fi; \
725             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
726           else \
727             test -f "$(distdir)/$$file" \
728             || cp -p $$d/$$file "$(distdir)/$$file" \
729             || exit 1; \
730           fi; \
731         done
732         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
733           if test "$$subdir" = .; then :; else \
734             $(am__make_dryrun) \
735               || test -d "$(distdir)/$$subdir" \
736               || $(MKDIR_P) "$(distdir)/$$subdir" \
737               || exit 1; \
738             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
739             $(am__relativize); \
740             new_distdir=$$reldir; \
741             dir1=$$subdir; dir2="$(top_distdir)"; \
742             $(am__relativize); \
743             new_top_distdir=$$reldir; \
744             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
745             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
746             ($(am__cd) $$subdir && \
747               $(MAKE) $(AM_MAKEFLAGS) \
748                 top_distdir="$$new_top_distdir" \
749                 distdir="$$new_distdir" \
750                 am__remove_distdir=: \
751                 am__skip_length_check=: \
752                 am__skip_mode_fix=: \
753                 distdir) \
754               || exit 1; \
755           fi; \
756         done
757 check-am: all-am
758 check: check-recursive
759 all-am: Makefile $(MANS) $(DATA)
760 installdirs: installdirs-recursive
761 installdirs-am:
762         for dir in "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(m4macrodir)"; do \
763           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
764         done
765 install: install-recursive
766 install-exec: install-exec-recursive
767 install-data: install-data-recursive
768 uninstall: uninstall-recursive
769
770 install-am: all-am
771         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
772
773 installcheck: installcheck-recursive
774 install-strip:
775         if test -z '$(STRIP)'; then \
776           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
777             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
778               install; \
779         else \
780           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
781             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
782             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
783         fi
784 mostlyclean-generic:
785
786 clean-generic:
787         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
788
789 distclean-generic:
790         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
791         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
792
793 maintainer-clean-generic:
794         @echo "This command is intended for maintainers to use"
795         @echo "it deletes files that may require special tools to rebuild."
796 clean: clean-recursive
797
798 clean-am: clean-generic clean-libtool mostlyclean-am
799
800 distclean: distclean-recursive
801         -rm -f Makefile
802 distclean-am: clean-am distclean-generic distclean-tags
803
804 dvi: dvi-recursive
805
806 dvi-am:
807
808 html-am:
809
810 info: info-recursive
811
812 info-am:
813
814 install-data-am: install-dist_m4macroDATA install-man
815
816 install-dvi: install-dvi-recursive
817
818 install-dvi-am:
819
820 install-exec-am:
821
822 install-html: install-html-recursive
823
824 install-html-am:
825
826 install-info: install-info-recursive
827
828 install-info-am:
829
830 install-man: install-man3
831
832 install-pdf: install-pdf-recursive
833
834 install-pdf-am:
835
836 install-ps: install-ps-recursive
837
838 install-ps-am:
839
840 installcheck-am:
841
842 maintainer-clean: maintainer-clean-recursive
843         -rm -f Makefile
844 maintainer-clean-am: distclean-am maintainer-clean-generic
845
846 mostlyclean: mostlyclean-recursive
847
848 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
849
850 pdf-am:
851
852 ps: ps-recursive
853
854 ps-am:
855
856 uninstall-am: uninstall-dist_m4macroDATA uninstall-man
857
858 uninstall-man: uninstall-man3
859
860 .MAKE: $(am__recursive_targets) install-am install-strip
861
862 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
863         check-am clean clean-generic clean-libtool cscopelist-am ctags \
864         ctags-am distclean distclean-generic distclean-libtool \
865         distclean-tags distdir dvi dvi-am html html-am info info-am \
866         install install-am install-data install-data-am \
867         install-dist_m4macroDATA install-dvi install-dvi-am \
868         install-exec install-exec-am install-html install-html-am \
869         install-info install-info-am install-man install-man3 \
870         install-pdf install-pdf-am install-ps install-ps-am \
871         install-strip installcheck installcheck-am installdirs \
872         installdirs-am maintainer-clean maintainer-clean-generic \
873         mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \
874         ps ps-am tags tags-am uninstall uninstall-am \
875         uninstall-dist_m4macroDATA uninstall-man uninstall-man3
876
877
878 html: $(HTMLPAGES)
879         cd opts; make html
880
881 .3.html:
882         $(MAN2HTML)
883
884 pdf: $(PDFPAGES)
885         cd opts; make pdf
886
887 .3.pdf:
888         @(foo=`echo $@ | sed -e 's/\.[0-9]$$//g'`; \
889         groff -Tps -man $< >$$foo.ps; \
890         ps2pdf $$foo.ps $@; \
891         rm $$foo.ps; \
892         echo "converted $< to $@")
893
894 # Tell versions [3.59,3.63) of GNU make to not export all variables.
895 # Otherwise a system limit (for SysV at least) may be exceeded.
896 .NOEXPORT: